/*
   Fichier carspe.h
   Auteur Bernard Chardonneau

   Abrviation pour certains caractres de controle

   Codage utilis pour les touches spciales du clavier
   les valeurs des codes ont t calcules pour fournir
   les mmes rsultats en mode console et dans un terminal
   graphique sous Gnome ou KDE.
*/

#define CTRH          8   // control H  (caractre de retour en arrire)
#define CTRL         12   // control L  (pour rafficher la page)
#define ESC          27   // codage caractre ESCape
#define EFFCAR     0x7F   // caractre d'effacement (control H au clavier)


#define CARSPE    0x100   // bit pour indiquer touche spciale

#define HOME      0x101   // codage touche pour mode console
#define INSERT    0x102
#define SUPR      0x103
#define FIN       0x104   // codage touche pour mode console
#define PAGEUP    0x105
#define PAGEDOWN  0x106
#define F5g       0x10F   // codage touche pour mode graphique
#define F6        0x111
#define F7        0x112
#define F8        0x113
#define F9        0x114
#define F10       0x115
#define F11       0x117
#define F12       0x118
#define MONTE     0x141
#define DESCEND   0x142
#define AVANCE    0x143
#define RECULE    0x144
#define FINg      0x146   // codage touche pour mode graphique
#define HOMEg     0x148   // codage touche pour mode graphique
#define F1        0x150
#define F2        0x151
#define F3        0x152
#define F4        0x153
#define F5        0x154   // codage touche pour mode console
