/*
    Fichier genchampdate.c
    Auteur Bernard Chardonneau

    Logiciel libre, droits d'utilisation prciss en franais
    dans le fichier : licence-fr.txt

    Traductions des droits d'utilisation dans les fichiers :
    licence-de.txt , licence-en.txt , licence-es.txt ,
    licence-it.txt , licence-nl.txt , licence-pt.txt ,
    licence-eo.txt , licence-eo-utf.txt

    Droits d'utilisation galement sur la page web :
    http://libremail.tuxfamily.org/voir.php?page=droits


    Fonction retournant le contenu du champ Date: d'un mail
     envoyer.
*/

#include <stdio.h>
#include <string.h>
#include <time.h>
#include "genchampdate.h"


/*
   Retourne la date et l'heure en anglais au format des mails
   (sauf fuseau horaire).
 */

void gen_champ_date (char *buffer)
{
    time_t maintenant;  // date et heure courante

    // buffers pour mise en forme de la date
    char   buftmp [30], jsem [4], jour [3], mois [4], an [5], heure [9];


    // rcuprer la date et l'heure courante
    maintenant = time (NULL);

    // la mettre dans un format texte trange via une fonction systme standard
    strcpy (buftmp, ctime (&maintenant));

    // extraire les diffrents morceaux de cette date
    sscanf (buftmp, "%s %s %s %s %s", jsem, mois, jour, heure, an);

    // mettre au format jour_semaine, jour mois an heure
    // (il manquera le fuseau horaire trop compliqu  rajouter)
    sprintf (buffer, "Date: %s, %s %s %s %s", jsem, jour, mois, an, heure);
}
